Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class ProjectionResultObjectProvider

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
          org.apache.openjpa.jdbc.kernel.ProjectionResultObjectProvider

All Implemented Interfaces:
  ResultObjectProvider, Closeable

Direct Known Subclasses:
  PreparedProjectionResultObjectProvider

     class ProjectionResultObjectProvider

extends SelectResultObjectProvider

Object provider implementation wrapped around a projection select.

Author:
  Abe White

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
`_res`

Constructor Summary
`ProjectionResultObjectProvider(SelectExecutor sel, QueryExpressions[] exps, QueryExpressionsState[] state, ExpContext ctx)` Constructor.
`ProjectionResultObjectProvider(SelectExecutor sel, QueryExpressions exps, QueryExpressionsState state, ExpContext ctx)` Constructor.

Method Summary
`Object` | `getResultObject()` Instantiate the current result object.

Methods inherited from class org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
`absolute, close, getFetchConfiguration, getResult, getSelect, getStore, handleCheckedException, next, open, reset, setSize, size, supportsRandomAccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectionResultObjectProvider

    public ProjectionResultObjectProvider(SelectExecutor sel,
                                          QueryExpressions exps,
                                          QueryExpressionsState state,
                                          ExpContext ctx)

  Constructor.

  Parameters:
    `sel` - the select to execute
    `exps` - the query expressions
    `states` - the query expression states
    `ctx` - the query execution context

### ProjectionResultObjectProvider

    public ProjectionResultObjectProvider(SelectExecutor sel,
                                          QueryExpressions[] exps,
                                          QueryExpressionsState[] state,
                                          ExpContext ctx)

  Constructor.

  Parameters:
    `sel` - the select to execute
    `exps` - the query expressions
    `states` - the query expression states
    `ctx` - the query execution context

Method Detail

### getResultObject

    public Object getResultObject()
                           throws Exception

  Description copied from interface: `ResultObjectProvider`
  Instantiate the current result object. This method will only be called after `ResultObjectProvider.next()` or `ResultObjectProvider.absolute(int)`.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.